<template>
  <b-modal
    ref="myModalref"
    hide-footer
    title="Using Component Methods"
    v-bind="$attrs"
  >
    <component :is="block" />
  </b-modal>
</template>

<script>
/**
 * ac modal component
 * @requires vue-bootstrap
 */

export default {
  name: 'ac-modal',

  props: {
    /**
     * @param {String} block - name of modal body component.
     */
    block: {
      type: String,
      required: true,
    },
  },
}
</script>
